<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "CondicionanteDestino".
 *
 * @property string $idDestino
 * @property string $idCondicionante
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Condicionante $idCondicionante
 * @property Estado $idDestino
 */
class CondicionanteDestino extends ModeloBase {
    /**
     * {@inheritdoc}
     */
    public static function tableName() {
        return 'CondicionanteDestino';
    }

    /**
     * {@inheritdoc}
     */
    public function rules() {
        return [
            [['idDestino', 'idCondicionante'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['idDestino', 'idCondicionante'], 'string', 'max' => 36],
            [['idDestino', 'idCondicionante'], 'unique', 'targetAttribute' => ['idDestino', 'idCondicionante']],
            [['idCondicionante'], 'exist', 'skipOnError' => true, 'targetClass' => Condicionante::class, 'targetAttribute' => ['idCondicionante' => 'id']],
            [['idDestino'], 'exist', 'skipOnError' => true, 'targetClass' => Estado::class, 'targetAttribute' => ['idDestino' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels() {
        return [
            'idDestino' => 'Id Destino',
            'idCondicionante' => 'Id Condicionante',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    /**
     * Gets query for [[IdCondicionante]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdCondicionante() {
        return $this->hasOne(Condicionante::class, ['id' => 'idCondicionante']);
    }

    /**
     * Gets query for [[IdDestino0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdDestino() {
        return $this->hasOne(Estado::class, ['id' => 'idDestino']);
    }
}
