<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "CondicionanteFin".
 *
 * @property string $idFin
 * @property string $idCondicionante
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Condicionante $idCondicionante
 * @property FinMovilizacion $idFin
 */
class CondicionanteFin extends ModeloBase {
    /**
     * {@inheritdoc}
     */
    public static function tableName() {
        return 'CondicionanteFin';
    }

    /**
     * {@inheritdoc}
     */
    public function rules() {
        return [
            [['idFin', 'idCondicionante'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['idFin', 'idCondicionante'], 'string', 'max' => 36],
            [['idFin', 'idCondicionante'], 'unique', 'targetAttribute' => ['idFin', 'idCondicionante']],
            [['idCondicionante'], 'exist', 'skipOnError' => true, 'targetClass' => Condicionante::class, 'targetAttribute' => ['idCondicionante' => 'id']],
            [['idFin'], 'exist', 'skipOnError' => true, 'targetClass' => FinMovilizacion::class, 'targetAttribute' => ['idFin' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels() {
        return [
            'idFin' => 'Id Fin',
            'idCondicionante' => 'Id Condicionante',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    /**
     * Gets query for [[IdCondicionante]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdCondicionante() {
        return $this->hasOne(Condicionante::class, ['id' => 'idCondicionante']);
    }

    /**
     * Gets query for [[IdFin]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdFin() {
        return $this->hasOne(FinMovilizacion::class, ['id' => 'idFin']);
    }
}
