<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "CondicionanteOrigen".
 *
 * @property string $idOrigen
 * @property string $idCondicionante
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Condicionante $idCondicionante
 * @property Estado $idOrigen
 */
class CondicionanteOrigen extends ModeloBase {
    /**
     * {@inheritdoc}
     */
    public static function tableName() {
        return 'CondicionanteOrigen';
    }

    /**
     * {@inheritdoc}
     */
    public function rules() {
        return [
            [['idOrigen', 'idCondicionante'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['idOrigen', 'idCondicionante'], 'string', 'max' => 36],
            [['idOrigen', 'idCondicionante'], 'unique', 'targetAttribute' => ['idOrigen', 'idCondicionante']],
            [['idCondicionante'], 'exist', 'skipOnError' => true, 'targetClass' => Condicionante::class, 'targetAttribute' => ['idCondicionante' => 'id']],
            [['idOrigen'], 'exist', 'skipOnError' => true, 'targetClass' => Estado::class, 'targetAttribute' => ['idOrigen' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels() {
        return [
            'idOrigen' => 'Id Origen',
            'idCondicionante' => 'Id Condicionante',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    /**
     * Gets query for [[IdCondicionante]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdCondicionante() {
        return $this->hasOne(Condicionante::class, ['id' => 'idCondicionante']);
    }

    /**
     * Gets query for [[IdOrigen]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdOrigen() {
        return $this->hasOne(Estado::class, ['id' => 'idOrigen']);
    }
}
