<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "CondicionanteTipo".
 *
 * @property string $idTipo
 * @property string $idCondicionante
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Condicionante $idCondicionante
 * @property TipoMovilizacion $idTipo
 */
class CondicionanteTipo extends ModeloBase {
    /**
     * {@inheritdoc}
     */
    public static function tableName() {
        return 'CondicionanteTipo';
    }

    /**
     * {@inheritdoc}
     */
    public function rules() {
        return [
            [['idTipo', 'idCondicionante'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['idTipo', 'idCondicionante'], 'string', 'max' => 36],
            [['idTipo', 'idCondicionante'], 'unique', 'targetAttribute' => ['idTipo', 'idCondicionante']],
            [['idCondicionante'], 'exist', 'skipOnError' => true, 'targetClass' => Condicionante::class, 'targetAttribute' => ['idCondicionante' => 'id']],
            [['idTipo'], 'exist', 'skipOnError' => true, 'targetClass' => TipoMovilizacion::class, 'targetAttribute' => ['idTipo' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels() {
        return [
            'idTipo' => 'Id Tipo',
            'idCondicionante' => 'Id Condicionante',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    /**
     * Gets query for [[IdCondicionante]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdCondicionante() {
        return $this->hasOne(Condicionante::class, ['id' => 'idCondicionante']);
    }

    /**
     * Gets query for [[IdTipo]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdTipo() {
        return $this->hasOne(TipoMovilizacion::class, ['id' => 'idTipo']);
    }
}
