<?php

/**
 * @var \yii\web\View $this
 * @var \v1\models\RecursoRevision $recurso
 */
setlocale(LC_ALL, 'es_ES');
$basePath = \Yii::getAlias('@app') . "/web/";
date_default_timezone_set('America/Hermosillo');
$fecha = date("d/m/Y");
$hora = date("h:i A");
$nombreCompleto = explode(" ", $recurso->solicitud->usuario->nombre);
?>
<div class="container">
  <table class="table-acuse border">
    <tr>
      <td class="col-table-12 border" colspan="4" style="text-align:center;background:#cccccc; padding:9px 0">
        <strong>RECEPCIÓN</strong>
      </td>
    </tr>
    <tr>
    <tr>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Fecha (dd/mm/aaaa):</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
        <?= $fecha ?>
      </td>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Hora (hh:mm:ss):</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
        <?= $hora ?>
      </td>
    </tr>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse">
    <tr>
      <td colspan="2" class="col-table-12 td-border" style="text-align: center; background:#cccccc; padding:9px 0">
        <strong>DATOS DEL SOLICITANTE</strong>
      </td>
    </tr>
    <tr>
      <td class="col-table-4 td-border" style=" background:#cccccc; padding:9px 0">
        <strong>PERSONA FÍSICA</strong>
      </td>
      <td class="col-table-8 td-no-borde">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border acuse td-padding">
    <tr>
      <td class="col-table-4" style="text-align: center;padding-top:40px">
        <strong><?= count($nombreCompleto) === 3 ? $nombreCompleto[2] : "____________________________" ?></strong><br>
        <strong>APELLIDO PATERNO</strong>
      </td>
      <td class="col-table-4" style="text-align: center;padding-top:40px">
        <strong><?= $nombreCompleto[1] ? $nombreCompleto[1] : "____________________________" ?></strong><br>
        <strong>APELLIDO MATERNO</strong>
      </td>
      <td class="col-table-4" style="text-align: center;padding-top:40px">
        <strong><?= $nombreCompleto[0] ?></strong><br>
        <strong>NOMBRE(S)</strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse">
    <tr>
      <td class="col-table-4 td-border" style="background:#cccccc; padding:9px 0">
        <strong>PERSONA MORAL</strong>
      </td>
      <td class="col-table-8" style="text-align: center; border:none">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border">
    <tr>
      <td class="col-table-4" style="text-align: center;">
        <strong>RAZÓN O DENOMINACIÓN SOCIAL:</strong>
      </td>
      <td colspan="col-table-8" style="text-align: center;">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border">
    <tr>
      <td class="col-table-3">
        <strong>NOMBRE DEL REPRESENTANTE:</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>APELLIDO PATERNO</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>APELLIDO MATERNO</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>NOMBRE(S)</strong>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-12" style="background:#cccccc;">
        <strong>
          DATOS DEL ACTO DE IMPUGNACIÓN
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>SUJETO OBLIGADO QUE LO EMITIÓ</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= $recurso->solicitud->sujetoObligado->nombre ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>ACTO IMPUGNADO</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= $recurso->actoImpugnado ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>LUGAR Y FECHA DE LA EMISIÓN DEL ACTO</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= date('d/m/Y', strtotime($recurso->creado)) ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#cccccc;">
        <strong>FECHA EN QUE SE TUVO CONOCIMIENTO DEL ACTO IMPUGNADO (dd /mm /aaaa) </strong>
      </td>
      <td class="col-table-4" style="">
        <?= date('d/m/Y', strtotime($recurso->creado)) ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#cccccc;">
        <strong>NÚMERO DE FOLIO O EXPEDIENTE DE LA SOLICITUD </strong>
      </td>
      <td class="col-table-4">
        <?= $recurso->solicitud->folio ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>RAZONES O MOTIVOS DE LA INCONFORMIDAD</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td colspan="12" style="text-align: justify;">
        <?= $recurso->razonesMotivos ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-6 td-border" style=" background:#cccccc;">
        <strong>DOCUMENTOS ANEXOS</strong>
      </td>
      <td class="col-table-6">
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-padding ">
    <tr>
      <td class="col-table-5">
        Poder
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Poder" ? "X" : "" ?>
      </td>
      <td class="col-table-5">
        Copia de constancia de Notificación
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Copia de la Constancia de Notificación" ? "X" : "" ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-5">
        Copia de la resolución
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Copia de Resolución" ? "X" : "" ?>
      </td>
      <td class="col-table-5">
        Otros
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Otros" ? "X" : "" ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>Folio del recurso de</strong>
      </td>
      <td class="col-table-4 td-border">
        <strong>00001/INFOEM/IP/RR/2023</strong>
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>Clave de entrega del recurso de</strong>
      </td>
      <td class="col-table-4 td-border">
        <strong>000042023001102500004205</strong>
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
</div>