<?php

/**
 * @var \yii\web\View $this
 * @var \v1\models\Solicitud $solicitud
 * @var \v1\models\RecursoRevision $recurso
 * @var \v1\models\Usuario $usuario
 */
setlocale(LC_ALL, 'es_ES');
$basePath = \Yii::getAlias('@app') . "/web/";

$media = $solicitud->media;
$solicitante = $solicitud->usuario;

$modalidadEntrega = [
  ["id" => 1, "label" => "Portal ISTAI"],
  ["id" => 2, "label" => "CD-ROM (con costo)"],
  ["id" => 3, "label" => "Consulta Directa"],
  ["id" => 4, "label" => "Copias Certificadas (con costo)"],
  ["id" => 5, "label" => "Copias Simples (con costo)"],
  ["id" => 6, "label" => "Copia Digitalizada"],
  ["id" => 7, "label" => "Otro"],
];

$camposTabla = 30;
?>
<div class="container">
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center">
        <strong>
          SUJETO OBLIGADO
        </strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-center" style="margin-top:12px">
    <tr>
      <td class="col-table-12">
        <strong>
          <?= $solicitud->sujetoObligado->nombre ?>
          <!-- Instituto Sonorense de Transparencia, Acceso a la Información Pública y Datos Personales -->
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-4">
        <strong>Fecha de Recepción:</strong>
      </td>
      <td class="col-table-3 td-subrayado td-center">
        <?php
        $date = '';
        if ($solicitud->recepcion) {
          $tz = new DateTimeZone('America/Hermosillo');
          $date = new DateTime($solicitud->recepcion);
          $date->setTimezone($tz);
          $date = $date->format('d-m-Y');
        }
        echo $date;
        ?>
      </td>
      <td class="col-table-2">
        <strong>Hora:</strong>
      </td>
      <td class="col-table-3 td-subrayado td-center">
        <?php
        $hora = '';
        if ($solicitud->recepcion) {
          $tz = new DateTimeZone('America/Hermosillo');
          $hora = new DateTime($solicitud->recepcion);
          $hora->setTimezone($tz);
          $hora = $hora->format('H:i:s');
        }
        echo $hora
        ?>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center">
        <strong>
          DATOS DEL SOLICITANTE
        </strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-center" style="margin-top:12px">
    <tr>
      <td class="col-table-12">
        <strong>
          <?= $solicitud->nombre ? $solicitud->nombre : 'No Proporcionado' ?>
          <!-- Instituto Sonorense de Transparencia, Acceso a la Información Pública y Datos Personales -->
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-3 td-border td-center">
        <strong>
          DOMICILIO
        </strong>
      </td>
      <td class="col-table-9 td-center">
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-padding">
    <tr>
      <td class="col-table-3">
        <strong>
          PAíS:
        </strong>
      </td>
      <td class="col-table-3 td-center td-subrayado ">
        No Proporcionado
      </td>
      <td class="col-table-3 td-center">
      </td>
      <td class="col-table-3 td-center">
      </td>
    </tr>
    <tr>
      <td class="col-table-3">
        <strong>
          DOMICILIO:
        </strong>
      </td>
      <td colspan="3" class="col-table-9 td-subrayado ">
        No Proporcionado
      </td>
    </tr>
    <tr>
      <td class="col-table-3">
        <strong>
          CORREO ELECTRÓNICO:
        </strong>
      </td>
      <td class="col-table-3 td-subrayado ">
        <?= $solicitud->correo ?>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse ">
    <tr>
      <td class="col-table-7">
        <strong style="color:red">Número de Folio de la Solicitud:</strong>
      </td>
      <td class="col-table-5">
        <strong style="color:red"><?= $solicitud->folio ?></strong>
      </td>
    </tr>
    <?php if ($recurso !== null) : ?>
      <tr>
        <td class="col-table-7">
          <strong style="color:red">Número de Folio de Recurso de Revisión:</strong>
        </td>
        <td class="col-table-5">
          <strong style="color:red">
            <?= $recurso->folio ?>
          </strong>
        </td>
      </tr>
    <?php endif ?>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12" style="border: 1px solid black">
        <strong>Solicitud de información</strong>
      </td>
    </tr>
    <tr>
      <td class="col-table-12">
        <?= $solicitud->descripcion ?>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-8 td-border" colspan="2">
        <strong>MODALIDAD DE ENTREGA</strong>
      </td>
      <td class="col-table-4"></td>
    </tr>
  </table>
  <table class="table-acuse td-border td-padding">
    <?php
    $contador = 0;
    foreach ($modalidadEntrega as $entrega) {
      if ($contador % 3 == 0) {
        echo '<tr>';
      }

      if ($entrega['id'] === $solicitud->idModalidadEntrega) {
        echo '<td class="col-table-4"><span style="background-color: #D9B5E5"><input type="checkbox" value="'.$entrega['id'].'" checked="checked" />' . $entrega['label'] . '</span></td>';
      } else {
        echo '<td class="col-table-4"><span><input type="checkbox" value="'.$entrega['id'].'" />' . $entrega['label'] . '</td>';
      }

      if ($contador % 3 == 2) {
        echo '</tr>';
      }

      $contador++;
    }

    if ($contador % 3 != 0) {
      echo '</tr>';
    }

    if ($solicitud->idModalidadEntrega === 6) {
    ?>
      <tr>
        <td class="col-table-4">
          Especificar:
        </td>
        <td class="col-table-4">
          <?= $solicitud->otroModalidadEntrega ?>
        </td>
      </tr>
    <?php
    }
    ?>
    <!-- <tr>
      <td class="col-table-4">
        A través del SAIMEX
      </td>
      <td class="col-table-4">
        Copias Simples(con costo)
      </td>
      <td class="col-table-4">
        Consulta Directa(sin costo)
      </td>
    </tr>
    <tr>
      <td class="col-table-4">
        CD-ROM(con costo)
      </td>
      <td class="col-table-4">
        Copias Certificadas(con costo)
      </td>
      <td class="col-table-4">
        Disquete 3.5(con costo)
      </td>
    </tr>
    <tr>
      <td>
        OTRO TIPO DE MEDIO (Especificar):
      </td>
      <td colspan="2">
      </td>
    </tr> -->
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center">
        <strong>
          DOCUMENTOS ANEXOS
        </strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border">
    <tr>
      <td class="col-table-12">
        <ul>
          <?php
          foreach ($media as $archivo) :
          ?>
            <li>
              <a href="<?= $archivo->ruta ?>" target="_blank">
                <?= $archivo->nombre ?>
              </a>
            </li>
          <?php
          endforeach
          ?>
        </ul>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center">
        <strong>
          PLAZO DE RESPUESTA
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>

  <table class="table-acuse td-border td-padding">
    <tr>
      <td class="col-table-8">
        <strong>Incompetencia y Parcialmente Incompetencia:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        3 días hábiles
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>Fecha de Posible Requerimiento de Aclaración de la Información:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        5 días hábiles
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>En Caso de Negativa a la Información: Improcedente, Inexistente, Confidencial y Reservada:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        5 días hábiles
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>En Caso de Reproducción con Costo:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        5 días hábiles
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>Fecha Límite de Respuesta:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        15 días hábiles
      </td>
    </tr>
  </table>
</div>