<?php

/**
 * @var \yii\web\View $this
 * @var \v1\models\RecursoRevision $recurso
 * @var \v1\models\RecursoManifestacion $manifiesto
 */
setlocale(LC_ALL, 'es_ES');
$basePath = \Yii::getAlias('@app') . "/web/";
date_default_timezone_set('America/Hermosillo');
$fecha = date("d/m/Y");
$hora = date("h:i A");
$nombreCompleto = explode(" ", $recurso->solicitud->usuario->nombre);
?>
<div class="container">
  <table class="table-acuse border">
    <tr>
      <td class="col-table-12 border" colspan="4" style="text-align:center;background:#863695; color:#ffffff; padding:9px 0">
        <strong>RECEPCIÓN</strong>
      </td>
    </tr>
    <tr>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Fecha:</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
        <?= $fecha ?>
      </td>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Hora:</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
        <?= $hora ?>
      </td>
    </tr>
  </table>
  <table class="table-acuse border">
    <tr>
      <td class="col-table-12 border" colspan="4" style="text-align:center;background:#863695; color:#ffffff; padding:9px 0">
        <strong>MANIFIESTO</strong>
      </td>
    </tr>
    <tr>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Estado Anterior:</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
        <?= $manifiesto->estatusActualRecurso->nombre ?>
      </td>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Nuevo Estado:</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
      <?= $manifiesto->estatusNuevoRecurso->nombre ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Mensaje:</strong>
      </td>
      <td class="col-table-2" cols="3" style=" padding:9px 0">
        <?= $manifiesto->mensaje ?>
      </td>
    </tr>
  </table>
  <!-- <div class="clearfix-table"></div> -->
  <table class="table-acuse">
    <tr>
      <td colspan="2" class="col-table-12 td-border" style="text-align: center; background:#863695; color:#ffffff; padding:9px 0">
        <strong>DATOS DEL SOLICITANTE</strong>
      </td>
    </tr>
    <tr>
      <td class="col-table-4 td-border" style=" background:#863695; color:#ffffff; padding:9px 0">
        <strong>PERSONA FÍSICA</strong>
      </td>
      <td class="col-table-8 td-no-borde">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border acuse td-padding">
    <tr>
      <td class="col-table-12" style="text-align: start;padding-top:40px; padding-left:10px;">
        <strong style="font-size: 28px;">
          <?= $recurso->solicitud->usuario->nombre ?>
        </strong><br>
        <strong>NOMBRE</strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse">
    <tr>
      <td class="col-table-4 td-border" style="background:#863695; color:#ffffff; padding:9px 0">
        <strong>PERSONA MORAL</strong>
      </td>
      <td class="col-table-8" style="text-align: center; border:none">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border">
    <tr>
      <td class="col-table-4" style="text-align: center;">
        <strong>RAZÓN O DENOMINACIÓN SOCIAL:</strong>
      </td>
      <td colspan="col-table-8" style="text-align: center;">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border">
    <tr>
      <td class="col-table-3">
        <strong>NOMBRE DEL REPRESENTANTE:</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>APELLIDO PATERNO</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>APELLIDO MATERNO</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>NOMBRE(S)</strong>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-12" style="background:#863695; color:#ffffff;">
        <strong>
          DATOS DEL ACTO DE IMPUGNACIÓN
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#863695; color:#ffffff;">
        <strong>SUJETO OBLIGADO QUE LO EMITIÓ</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= $recurso->solicitud->sujetoObligado->nombre ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#863695; color:#ffffff;">
        <strong>ACTO IMPUGNADO</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= $recurso->actoImpugnado ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#863695; color:#ffffff;">
        <strong>LUGAR Y FECHA DE LA EMISIÓN DEL ACTO</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= date('d/m/Y', strtotime($recurso->creado)) ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#863695; color:#ffffff;">
        <strong>FECHA EN QUE SE TUVO CONOCIMIENTO DEL ACTO IMPUGNADO (dd /mm /aaaa) </strong>
      </td>
      <td class="col-table-4">
        <?= date('d/m/Y', strtotime($recurso->creado)) ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#863695; color:#ffffff;">
        <strong>NÚMERO DE FOLIO O EXPEDIENTE DE LA SOLICITUD </strong>
      </td>
      <td class="col-table-4">
        <?= $recurso->folio ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#863695; color:#ffffff;">
        <strong>RAZONES O MOTIVOS DE LA INCONFORMIDAD</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td colspan="12" style="text-align: justify;">
        <?= $recurso->razonesMotivos ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-6 td-border" style=" background:#863695; color:#ffffff;">
        <strong>DOCUMENTOS ANEXOS</strong>
      </td>
      <td class="col-table-6">
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-padding ">
    <tr>
      <td class="col-table-5">
        Niguno
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Niguno" ? "X" : "" ?>
      </td>
      <td class="col-table-5">
        Poder
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Poder" ? "X" : "" ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-5">
        Copia de constancia de Notificación
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Copia de la Constancia de Notificación" ? "X" : "" ?>
      </td>
      <td class="col-table-5">
        Copia de Resolución
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Copia de Resolución" ? "X" : "" ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-8" colspan="3">
        Otros <?= isset($recurso->documentoAnexoOtro) && $recurso->documentoAnexoOtro !== null ? $recurso->documentoAnexoOtro : '' ?>
      </td>
      <td class="col-table-1 border" colspan="1" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Otros" ? "X" : "" ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>Folio de la solicitud de información</strong>
      </td>
      <td class="col-table-4 td-border">
        <strong><?= $recurso->solicitud->folio ?></strong>
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>Folio del recurso de revisión</strong>
      </td>
      <td class="col-table-4 td-border">
        <strong><?= $recurso->folio ?></strong>
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
</div>