<?php

namespace app\modules\publico\controllers;

use common\data\Respuesta;
use common\rest\JsonController;
use v1\models\SolicitudAcusePersonas;
use yii\db\Expression;

class SolicitudAcuseController extends JsonController {

	public $modelClass = 'v1\models\SolicitudAcuse';

	public function actionIndex() {
		$token = trim($this->req->get("token", ""));

		if ($token === '') {
			return (new Respuesta())
				->esError(401)
				->mensaje("No se encontró el Acuse esperado.");
		}

		$query = $this->queryInicial
			->innerJoin('SolicitudAcusePersonas', '{{SolicitudAcuse}}.id = {{SolicitudAcusePersonas}}.[[idSolicitud]]	')
			->andWhere(['tokenRecepcion' => $token]);

		return new Respuesta($query, $this->limite, $this->pagina, $this->ordenar);
	}

	public function actionConfirmar() {
		$token = trim($this->req->getBodyParam("token", ""));
		$acuse = null;

		if ($token !== "") {
			$acuse = SolicitudAcusePersonas::find()
				->andWhere(['tokenRecepcion' => $token])
				->one();
		}

		try {
			if ($acuse !== null) {
				$acuse->confirmado = new Expression('now()');
				$acuse->load($this->req->getBodyParams(), '');
				if (!$acuse->save()) {
					return (new Respuesta())->esError()->mensaje("No se pudo confirmar");
				}
			}
			$acuse->refresh();
		} catch (\Exception $e) {
			return (new Respuesta())
				->esError()
				->mensaje("Hubo un error en el servidor");
		}


		return (new Respuesta($acuse))
			->mensaje("Se ha confirmado el Acuse.");
	}
}
