<?php

namespace v1\controllers;

use common\data\Respuesta;
use common\rest\AuthController;
use yii\db\Expression;

class NivelController extends AuthController {

  public $modelClass = "v1\models\Nivel";

  public function actionIndex() {
    $id = trim($this->req->get("id", ""));
    $buscar = trim($this->req->get("buscar", ""));


    $query = $this->queryInicial;


    if ($id !== '') {
      $query->andWhere(["[[Nivel]].{{id}}" => $id]);
  }

    if($buscar) {
      $query->andWhere([
        "OR",
        ["ilike", "[[Nivel]].{{nombre}}", $buscar],
        ["ilike", "[[Nivel]].{{clave}}", $buscar],

      ]);
    }

    return new Respuesta($query, $this->limite, $this->pagina, $this->ordenar);
  }

  public function actionGuardar() {
    $id = trim($this->req->getBodyParam("id", ""));
    $modelo = null;

    if($id !== "") {
      $modelo = $this->modelClass::findOne($id);
    }
    if($modelo === null) {
      $modelo = new $this->modelClass();
      $modelo->uuid();
      $modelo->creado = new Expression('now()');
    } else {
      $modelo->modificado = new Expression('now()');
    }

    $modelo->load($this->req->getBodyParams(), '');
    if (!$modelo->save()) {
      return (new Respuesta($modelo))
        ->mensaje("Hubo un problema al guardar el Nivel");
    }

    $modelo->refresh();
    return (new Respuesta($modelo))
      ->mensaje("Nivel guardado");
  }

  public function actionEliminar() {
    $id = trim($this->req->getBodyParam("id", ""));
    $modelo = null;

    if ($id !== "") {
      $modelo = $this->modelClass::findOne(["id" => $id]);
    }
    if ($modelo === null) {
      return (new Respuesta())
        ->esError()
        ->mensaje("No encontrado");
    }
    $modelo->eliminado = new Expression('now()');
    if (!$modelo->save()) {
      return (new Respuesta($modelo))
        ->mensaje("No se pudo eliminar");
    }

    return (new Respuesta())
      ->mensaje("Eliminado Correctamente");
  }
}