<?php

namespace v1\models;

use app\models\ColeccionPermiso as ModeloColeccionPermiso;

class ColeccionPermiso extends ModeloColeccionPermiso {

	public function fields() {
		return [
			'id',
			'clave',
			'nombre',
			'descripcion',
			'creado',
			'modificado',
			'eliminado',
		];
	}

	public function extraFields() {
		return [
			'colecciones',
			'permisos'
		];
	}

	public function getColecciones() {
		return $this->hasMany(ColeccionPermisoPermiso::class, ['idColeccion' => 'id']);
	}

	public function getPermisos() {
		return $this->hasMany(Permiso::class, ['id' => 'idPermiso'])->viaTable('ColeccionPermisoPermiso', ['idColeccion' => 'id']);
	}
}
