<?php

namespace v1\models;

use app\models\Condicionante as ModelsCondicionante;

class Condicionante extends ModelsCondicionante {
  public function fields() {
    return [
      'id',
      'titulo',
      'descripcion',
      'activa',
      'amplitud',
      'idProducto',
      'subproductos',
      'idCreador',
      'idModificador',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields() {
    return [
      'producto',
      'creador',
      'modificador',
      'condicionanteFin',
      'condicionanteTipo',
      'condicionanteOrigen',
      'condicionanteDestino'
    ];
  }

  public function getProducto() {
    return $this->hasOne(Producto::class, ['id' => 'idProducto']);
  }

  public function getCreador() {
    return $this->hasOne(Usuario::class, ['id' => 'idCreador']);
  }

  public function getModificador() {
    return $this->hasOne(Usuario::class, ['id' => 'idModificador']);
  }

  public function getCondicionanteFin() {
    return $this->hasMany(CondicionanteFin::class, ['idCondicionante' => 'id'])
      ->andWhere('eliminado IS NULL')
      ->orderBy(['creado' => SORT_ASC]);
  }

  public function getCondicionanteTipo() {
    return $this->hasMany(CondicionanteTipo::class, ['idCondicionante' => 'id'])
      ->andWhere('eliminado IS NULL')
      ->orderBy(['creado' => SORT_ASC]);
  }

  public function getCondicionanteOrigen() {
    return $this->hasMany(CondicionanteOrigen::class, ['idCondicionante' => 'id'])
      ->andWhere('eliminado IS NULL')
      ->orderBy(['creado' => SORT_ASC]);
  }

  public function getCondicionanteDestino() {
    return $this->hasMany(CondicionanteDestino::class, ['idCondicionante' => 'id'])
      ->andWhere('eliminado IS NULL')
      ->orderBy(['creado' => SORT_ASC]);
  }
}
