<?php

namespace v1\models;

use app\models\Producto as ModelsProducto;

class Producto extends ModelsProducto {

  public function fields () {
    return[
      'id',
      'nombre',
      'idPadre',
      'creado',
      'idSagarhpa',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields () {
    return[
      'subproductos',
    ];
  }

  public function getSubproductos () {
    return $this->hasMany(Producto::class, ['idPadre' => 'id'])
      ->andWhere('eliminado IS NULL')
      ->orderBy(['nombre' => SORT_ASC]);
  }
}