<?php

namespace v1\models;

use app\models\Usuario as ModeloUsuario;

class Usuario extends ModeloUsuario {

  public function fields() {
    return [
      'id',
      'correo',
      'clave',
      'nombre',
      'estatus',
      'telefono',
      'alias',
      'foto',
      'rol',
      'creado',
      'modificado',
      'eliminado',
      // 'idSujetoObligado',
      // 'idPonencia',
      // 'verificarCorreo',
    ];
  }

  public function extraFields() {
    return [
      'media',
      'permisos',
      // 'sujetoObligado',
      'recursosRevision',
      // 'estatusPermiso',
      'ponencia'
    ];
  }

  public function getMedia() {
    return $this->hasMany(Media::class, ['idUsuario' => 'id']);
  }

  public function getPermisos() {
    return $this->hasMany(PermisoUsuario::class, ['idUsuario' => 'id'])
      ->select("idPermiso")
      ->column();
  }

  // public function getSujetoObligado() {
  //   return $this->hasOne(SujetoObligado::class, ['id' => 'idSujetoObligado']);
  // }

  public function getRecursosRevision() {
    return $this->hasMany(RecursoRevision::class, ['idPonencia' => 'id']);
  }

  // public function getEstatusPermiso() {
  //   return $this->hasMany(EstatusPermisoUsuario::class, ['idUsuario' => 'id'])->andWhere(['eliminado' => null]);
  // }

  public function getPonencia() {
    return $this->hasOne(Ponencia::class, ['id' => 'idPonencia']);
  }
}
